
all:README.html algo

# always work via dockver ...
dockver:
	cd ../../; make ddoc

algo:
	cd ../..; make odoc
	cp -rf ../../_build/default/_doc/_html .

%.html:%.org
	emacs --batch --load=emacs-org.el  \
	  --visit=$*.org --funcall org-html-export-to-html

%.md:%.org
	emacs --batch --eval="(add-to-list 'load-path \".\")"  --load=emacs-org.el  --visit=$*.org --funcall org-md-export-to-markdown

%.html3:%.org
	emacs --batch --eval="(add-to-list 'load-path \".\") (add-to-list 'load-path \"./el\")" --eval="(require 'htmlize)" --load=emacs-org.el  \
	  --visit=$*.org --funcall org-html-export-to-html

EMACS=emacs  \
     --load=htmlize.el \
	  --load=el/ob-ocaml.el \
     --load=emacs-org.el

%.html2:
	$(EMACS) --visit=$*.org --funcall org-html-export-to-html --eval "(kill-emacs)" -Q

clean:
	rm *.html rdbg-session*.ml
